<% if (section === 'css') { %>
<style>
  .page[page=scoreboard] {
    display: flex;
    flex-direction: column;
    text-align: center;
    font-weight: bold;
  }

  #scoreboard-shotclock {
    flex: 2;
    line-height: 0.8;
  }

  #scoreboard-scores {
    flex: 1;
    display: flex;
    flex-direction: row;
  }

  #scoreboard-home {
    flex: 1;
    background-color: <%= colors.home_background %>;
    color: <%= colors.home_text %>;
  }

  #scoreboard-periodclock {
    flex: 1;
  }

  #scoreboard-away {
    flex: 1;
    background-color: <%= colors.away_background %>;
    color: <%= colors.away_text %>;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="scoreboard">
  <div id="scoreboard-shotclock" class="text-fit"></div>
  <div id="scoreboard-scores">
    <div id="scoreboard-home" class="text-fit"></div>
    <div id="scoreboard-periodclock" class="text-fit">10:00</div>
    <div id="scoreboard-away" class="text-fit"></div>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const scoreboardShotclock = new Timer(100, 'down', (time) => {
    document.getElementById('scoreboard-shotclock').innerHTML = (Math.round(time * 10) / 10).toFixed(1)

    fitText(document.getElementById('scoreboard-shotclock'))
  })

  const scoreboardPeriodclock = new Timer(1000, 'down', (time) => {
    document.getElementById('scoreboard-periodclock').innerHTML = `${Math.floor(time / 60)}:${(time % 60).pad(2)}`

    fitText(document.getElementById('scoreboard-periodclock'))
  },
  (time) => {
    return time > scoreboardShotclock.time
  })

  registerCommand('scoreboard', 'data', (data) => {
    document.getElementById('scoreboard-home').innerHTML = data.home
    document.getElementById('scoreboard-away').innerHTML = data.away

    fitText(document.querySelectorAll('.page[page=scoreboard] .text-fit'))
  })

  registerCommand('scoreboard', 'periodclockTime', (data) => {
    scoreboardPeriodclock.setTime(data.time)

    if (data.running) {
      scoreboardPeriodclock.start()
    } else {
      scoreboardPeriodclock.stop()
    }
  })

  registerCommand('scoreboard', 'shotclockTime', (data) => {
    scoreboardShotclock.setTime(data.time)

    if (data.running) {
      scoreboardShotclock.start()
    } else {
      scoreboardShotclock.stop()
    }
  })
</script>
<% } %>
